/*
 *  ======== ti_drivers_config.h ========
 *  Configured TI-Drivers module declarations
 *
 *  The macros defines herein are intended for use by applications which
 *  directly include this header. These macros should NOT be hard coded or
 *  copied into library source code.
 *
 *  Symbols declared as const are intended for use with libraries.
 *  Library source code must extern the correct symbol--which is resolved
 *  when the application is linked.
 *
 *  Derived from autogenerated ti_drivers_config.c, generated for the
 *  CC3235S_LAUNCHXL by the SysConfig tool.
 *
 */
#ifndef ti_drivers_config_h
#define ti_drivers_config_h

#define CONFIG_SYSCONFIG_PREVIEW

#define CONFIG_CC3235S_LAUNCHXL
#ifndef DeviceFamily_CC3220
#define DeviceFamily_CC3220
#endif

#include <ti/devices/DeviceFamily.h>

#include <stdint.h>

/* support C++ sources */
#ifdef __cplusplus
extern "C" {
#endif

/*
 *  ======== GPIO ========
 */

#define CONFIG_GPIO_N_PERIPHERY_ON      0
#define CONFIG_GPIO_AUDIO_PWDN          1
#define CONFIG_GPIO_A                   2
#define CONFIG_GPIO_B                   3

#define CONFIG_TI_DRIVERS_GPIO_COUNT    4

/*
 *  ======== UART ========
 */

/*
 *  TX: P55
 *  RX: P57
 */
extern const uint_least8_t              CONFIG_UART_0_CONST;
#define CONFIG_UART_0                   0
#define CONFIG_TI_DRIVERS_UART_COUNT    1

/*
 *  ======== SPI ========
 */

extern const uint_least8_t              CONFIG_NWP_SPI_CONST;
#define CONFIG_NWP_SPI                  0
#define CONFIG_TI_DRIVERS_SPI_COUNT     1

/*
 *  ======== SD ========
 */

/*
 *  DATA: P64
 *  CMD: P02
 *  CLK: P01
 */
extern const uint_least8_t              CONFIG_SD_0_CONST;
#define CONFIG_SD_0                     0
#define CONFIG_TI_DRIVERS_SD_COUNT      1

/*
 *  ======== Board_init ========
 *  Perform all required TI-Drivers initialization
 *
 *  This function should be called once at a point before any use of
 *  TI-Drivers.
 */
extern void Board_init(void);

/*
 *  ======== Board_initGeneral ========
 *  (deprecated)
 *
 *  Board_initGeneral() is defined purely for backward compatibility.
 *
 *  All new code should use Board_init() to do any required TI-Drivers
 *  initialization _and_ use <Driver>_init() for only where specific drivers
 *  are explicitly referenced by the application.  <Driver>_init() functions
 *  are idempotent.
 */
#define Board_initGeneral Board_init

#ifdef __cplusplus
}
#endif

#endif /* include guard */
